#! /bin/sh
#---------------------------------------------------------------------------
# /usr/local/mybin/dyndns.sh - DynDNS Dynamic hostname configuration
# See http://www.dyndns.org for specification
# written by Thomas Mueller <twm@s2h.cx>
# based on dtdns.sh from Jens Fischer
# Creation:     05.05.2001  twm #
#----------------------------------------------------------------------------

# the parameter is not used yet
STATE=$1                                    # "up" or "down"

# configuration is done in config.txt like this
#------------------------------------------------------------------------------
# Optional package: dyndns
#------------------------------------------------------------------------------
#OPT_DYNDNS='yes'
#DYNDNS_SUBDOMAIN='mydomain'
#DYNDNS_DYNDOMAIN='homeip.net'
#DYNDNS_SECRET='encrypted username and password from userencode.pl'                         

echo "Setting up dynamic hostname ..."

(echo "GET /nic/update?system=dyndns&hostname=$DYNDNS_SUBDOMAIN.$DYNDNS_DYNDOMAIN&wildcard=NOCHG&offline=NO HTTP/1.1"
 echo "Host: members.dyndns.org"
 echo "Authorization: Basic $DYNDNS_SECRET"
 echo "User-Agent: fli4l/1.0 me@null.net"
 echo "" ) | /usr/local/bin/netcat members.dyndns.org 80

echo ""
echo "done"

exit 0
